Subject: Re: [RFC PATCH 2/4] change submodule push test to use proper repository setup

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Oct 2017 09:26:27 +0900

Heiko Voigt <[email-masked]> writes:

> This "default" value thing got me thinking in a different direction. We
> could use a scheme like that to get names (and values) for submodules
> that are missing from the .gitmodules file. If we decide that we need to
> handle them.

Yes, I suspect that would improve things quite a bit in a repository
where it added a new submodule by filling the gap between the time
when a gitlink is added and an entry in .gitmodules is added.  The
latter needs to happen if the result of the work done in that
repository is pushed out elsewhere---otherwise it won't usable by
other people.